/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */


/* // horizontal scrolling stuff */
#fixed {
    width: 100%;
}
#fixed.fade-out {
    opacity: 0;
}
@media only screen and (min-width:768px) {
    #fixed {
        position: fixed;
    }
}
#scrollable {
    will-change: transform;
    /* transition: transform 0.05s ease-in-out; */
    position: fixed;
    top: 0;
    left: 0;
    width: 200%;
}
#scrollable:before {
    content: "";
    display: block;
    position: absolute;
    transform: translateX(-90%);
    top: 0;
    left: 0;
    width: 200vw;
    height: 100vh;
    background: #fff;
}
#scrollable:after {
    content: "";
    display: block;
    position: absolute;
    transform: translateX(95%);
    top: 0;
    width: 200vw;
    height: 100vh;
    background: #fff;
}
#title1 {
    transition: opacity 0.25s ease-in;
}
#title1,
#title2 {
    will-change: opacity;
    transform: translateZ(0);
}
#title1.fade-out,
#title2.fade-out {
    opacity: 0;
}
/* slide title 2 */

#title2 {
    will-change: opacity, transform;
    position: fixed;
    top: 50%;
    padding-left: 20vw;
    width: 200%;
}
#title2.before {
    transform: translateZ(0) translateX(3000px) translateY(-50%);
    opacity: 0;
}
#title2.after {
    /* opacity: 0; */
}

/* body:not(.elementor-editor-active) .expanded {
    max-height: 0;
    padding: 0 !important;
    overflow: hidden;
    transition: all 0.25s ease-in-out !important;
}
body:not(.elementor-editor-active) .expanded.visible {
    max-height: 850px;
}
body .unexpanded {
    transition: all 0.25s ease-in-out !important;
    max-height: 600px;
}
body:not(.elementor-editor-active) .hide {
    max-height: 0;
    padding: 0 !important;
    overflow: hidden;
} */

.elementor-element-bd190b3 {
    background-size: 200vw 100vh !important;
    background-position: 15vw 0px;
}


.topVIdeo{
	top: 0;
}



.e-n-carousel.swiper {
    padding: 0 !important;
}
.fp-watermark {
    display: none !important;
}
#fullpage1 .section {
    height: 100vh;
    /*display: flex;*/
    /*align-items: center;*/
    /*justify-content: center;*/
    /*font: 600 24px/1.4 system-ui, sans-serif;*/
  }
#fullpage .innerSlide {
    height: 100vh;
    /*display: flex;*/
    /*align-items: center;*/
    /*justify-content: center;*/
    /*font: 600 24px/1.4 system-ui, sans-serif;*/
  }
  
.home .mainHeader {
    position: absolute;
    top: 30px;
    left: 0;
    width: 100%;
}
#fp-nav ul li a span, .fp-slidesNav ul li a span {
    background: #ffffff !important;
    
}
.innerSlide.fp-auto-height {
    padding: 40px !important;
}
.home  .elementor-background-video-container:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgb(0 27 1 / 60%);
    z-index: 1;
}

.sameHeight {
    min-height: 90px;
}
select.gt_selector.notranslate {
    border: 1px solid #FFFFFF33;
    color: #fff !important;
    background: rgb(0 0 0 / 50%);
    border-radius: 0px 12px 12px 12px;
    height: 55px;
    padding: 10px !important;
}
.gtranslate_wrapper {
    max-width: 150px;
    margin-right: 0;
    margin-left: auto;
}
@media only screen and (max-width: 1024px) {
    .removebr br{
        display:none !important;
    }
}

@media only screen and (max-width: 767px) {
    .home .mainHeader {
        top: 10px;
    }
    
}


/* Generic direction */
html.rtl, [dir="rtl"] { direction: rtl; }
html.ltr, [dir="ltr"] { direction: ltr; }

/* Text align defaults (tweak to your design) */
[dir="rtl"] body { text-align: right; }
[dir="ltr"] body { text-align: left; }

/* Common UI fixes */
[dir="rtl"] .breadcrumb,
[dir="rtl"] .pagination { direction: rtl; }

[dir="rtl"] .swiper, 
[dir="rtl"] .swiper-container { direction: rtl; }

/* Elementor basics */
[dir="rtl"] .elementor-widget-icon-list .elementor-icon-list-item .elementor-icon-list-icon {
  margin-left: .5rem; margin-right: 0;
}
[dir="rtl"] .elementor-nav-menu--dropdown { right: 0; left: auto; }

.lang-ar .langCol .elementor-widget-shortcode,
.lang-ar .langCol .heroBtn {
    display: flex;
    justify-content: flex-end;
        /*text-align: left;*/
}
.lang-en .cpel-switcher--layout-dropdown.cpel-switcher--align-left .elementor-widget-container {
    text-align: right;
}
.lang-ar .logoCol .elementor-widget-image {
    text-align: right !important;
}
.showEng, .showArabic{
    display:none !important;
}
.lang-en .showEng,
.lang-ar .showArabic{
    display:block !important;
}

.lang-ar #fp-nav.fp-right {
    left: 30px !important;
    right:unset !important;
}


.mainHeader.is-last-slide {
    display: none;
}